2019-03-22 07:08 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002148NetSurfRISC OS-specificpublic2016-02-16 15:25
ReporterHarriet Bazley 
Assigned ToSteve Fryatt 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.1 
Target VersionFixed in Version3.4 
Summary0002148: File upload interface on RISC OS states 'click to select file'
DescriptionThe text for a file upload icon in the RISC OS interface has been changed at some point in more recent versions to read 'Click to select file' (rather than, say, 'Drop a file here to upload it').
This is a cosmetic issue, because it is still possible to drag a file icon to the window to upload it as per normal RISC OS usage. However, it is a bug since clicking on the icon as stated does *not* allow you to select a file....
Steps To ReproduceSee for example 'Upload file' icon on bug tracker below.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1932
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Sprow

~0000902

Sprow (reporter)

This seems to work OK as far as I can see - taking this very Mantis page as an example the Select File prompt seen in (for example) Windows appears as "Drop a file here to upload it" in RISC OS, which is the token 'FormFile' from the messages file.
Harriet Bazley

~0000907

Harriet Bazley (reporter)

Yes, I'm now seeing "Drop file here" in the Upload file icon (although not "Drop a file here to upload it"....)
Sprow

~0000913

Sprow (reporter)

"Drop file here" is message token 'Form_Drop' which presumably gets used in that situation (I was looking at the 'Select File' area just above where I'm typing now.

Sounds like this ticket can be closed?
Vincent Sanders

~0001300

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-12 23:29 Harriet Bazley New Issue
2014-06-13 00:03 Vincent Sanders Assigned To => Steve Fryatt
2014-06-13 00:03 Vincent Sanders Status new => acknowledged
2014-06-13 00:03 Vincent Sanders Description Updated View Revisions
2015-08-13 08:54 Sprow Note Added: 0000902
2015-08-13 21:49 Harriet Bazley Note Added: 0000907
2015-08-14 21:48 Sprow Note Added: 0000913
2015-08-15 01:46 John-Mark Bell Status acknowledged => resolved
2015-08-15 01:46 John-Mark Bell Resolution open => fixed
2015-08-15 01:46 John-Mark Bell Fixed in Version => 3.4
2016-02-16 15:25 Vincent Sanders Note Added: 0001300
2016-02-16 15:25 Vincent Sanders Status resolved => closed
+Issue History